## org.apache.http
Interface FormattedHeader

All Superinterfaces:
  Header

All Known Implementing Classes:
  BufferedHeader

    public interface FormattedHeader

extends Header

An HTTP header which is already formatted. For example when headers are received, the original formatting can be preserved. This allows for the header to be sent without another formatting step.

Since:
  4.0

Method Summary
`CharArrayBuffer` `getBuffer()` Obtains the buffer with the formatted header.
`int` `getValuePos()` Obtains the start of the header value in the `buffer`.

Methods inherited from interface org.apache.http.Header
`getElements, getName, getValue`

Method Detail

### getBuffer

    CharArrayBuffer getBuffer()

  Obtains the buffer with the formatted header. The returned buffer MUST NOT be modified.

  Returns:
    the formatted header, in a buffer that must not be modified

### getValuePos

    int getValuePos()

  Obtains the start of the header value in the `buffer`. By accessing the value in the buffer, creation of a temporary string can be avoided.

  Returns:
    index of the first character of the header value in the buffer returned by `getBuffer`.

Copyright © 2005-2013 The Apache Software Foundation. All Rights Reserved.